app.controller('SelectRegionController', ['$scope', '$rootScope', '$stateParams', 'LocalStorage', 'AccountService', '$state', '$ionicHistory', 'CouponService', function($scope, $rootScope, $stateParams, LocalStorage, AccountService, $state, $ionicHistory, CouponService) {
	$scope.formerror = false;
	$scope.errormessage = "";

	 if(LocalStorage.getVar("userdata") == undefined)
	{
		$ionicHistory.nextViewOptions({
			historyRoot: true
		});
		$state.go("home");
		
	}

	$scope.regionSettings = LocalStorage.getObject("regionSettings");
	if($scope.regionSettings == undefined)
	{
		$scope.regionSettings = {};
		$scope.regionSettings.leeuwarden = false;
		$scope.regionSettings.sneek = false;
	}
	
	$scope.saveRegionSettings = function()
	{
		if($scope.regionSettings.leeuwarden || $scope.regionSettings.sneek)
		{
			LocalStorage.setObject("regionSettings", $scope.regionSettings);
			
			AccountService.updateRegionSettings();//Save it to the server..
			
			$ionicHistory.nextViewOptions({
				historyRoot: true
			});
			
			//Get coupons based on the region settings
			var regionstr = "";
			if(LocalStorage.getObject("regionSettings").leeuwarden) regionstr +="leeuwarden,";
			if(LocalStorage.getObject("regionSettings").sneek) regionstr +="sneek,";
			  
			CouponService.getAllCoupons(regionstr).then(function(){
				  //All coupons are downloaded
				  //console.log($scope.couponList);
				  //$scope.loading = false;
			  });
			  
			$rootScope.newRegionSet = true;
			  
			$scope.formerror = false;
			$state.go("app.couponlist");
		}else{
			$scope.formerror = true;
			$scope.errormessage = "Oeps! Je hebt nog geen plaats(en) gekozen.";
		}
		 
	}
	
	
	
}]);