app.controller('CouponListController', ['$scope', '$rootScope','CouponService', '$stateParams', '$state', 'LocalStorage', '$ionicHistory', function($scope, $rootScope, CouponService, $stateParams, $state, LocalStorage, $ionicHistory) {
  $scope.selectedCategory = $stateParams.category || "alles";
  $scope.$on('$ionicView.enter', function(e) {
	  $scope.loading = true;
	$scope.selectedCategory = $stateParams.category || "alles";
	$scope.$apply();
	
	if(LocalStorage.getObject("regionSettings") == undefined)
	  {
		$state.go("selectregion"); 
	  }
	
	  
	//Get all the coupons..
	  if($rootScope.couponList == undefined || $rootScope.couponList.length == 0 || $rootScope.newRegionSet)
	  {
		//Get coupons based on the region settings
		var regionstr = "";
		if(LocalStorage.getObject("regionSettings").leeuwarden) regionstr +="leeuwarden,";
		if(LocalStorage.getObject("regionSettings").sneek) regionstr +="sneek,";
		
		
		console.log("refeshing..");
		CouponService.getAllCoupons(regionstr).then(function(){
			  //All coupons are downloaded
			  console.log($scope.couponList);
			  $scope.loading = false;
		  });  
		  
		  $rootScope.newRegionSet = false;
	  }
	  else
	  {
		$scope.loading = false;  
	  }
	  
	  $scope.lastCat = $scope.selectedCategory;
  });
  
  $scope.loading = true;
  
  
  
  	//LocalStorage.unset("userdata");
  if(LocalStorage.getVar("userdata") == undefined)
	{
		$ionicHistory.nextViewOptions({
			historyRoot: true
		});
		$state.go("home");
		
	}

  
  //Define the filter for filtering by category
  $scope.categoryFilter = function(element)
  {
	if($scope.selectedCategory.toLowerCase() == "alles") return true;
	
	return element.category.toLowerCase().split(",").indexOf($scope.selectedCategory.toLowerCase()) != -1;
  }
  
  
  
  
  
  
}]);